Bug 840624 - Post creating new environment in headpin, webui returns row:NotFound error
Post creating new environment in headpin, webui returns row:NotFound error
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
urgent Severity urgent (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On: 840600
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 13:43 EDT by Eric Sammons
Modified: 2013-03-27 16:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The UI displays an error when viewing Organization details after environment creation: "row:NotFound" This fix corrects this error displays the Organization details.
Story Points: ---
Clone Of: 840600
Environment:
Last Closed: 2012-12-04 14:47:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1543 normal SHIPPED_LIVE Important: CloudForms System Engine 1.1 update 2012-12-04 19:39:57 EST

  None (edit)
Description Eric Sammons 2012-07-16 13:43:09 EDT
+++ This bug was initially created as a clone of Bug #840600 +++

Created attachment 598497 [details]
screenshot, row:NotFound

Description of problem:
During the process of creating a new environment, the webui returns to the org and attempts to display the details of that org.  At this point, after clicking on save, the webui will display an error, row:NotFound

Version-Release number of selected component (if applicable):
katello-headpin-0.2.24-1
RHEL-6_x86_64

Steps to Reproduce:
1. Navigate to Administer
2. Select Manage Organizations
3. Select Add Environment
   + Name
4. Click [Create]
  
Actual results:
Error
There was an error retrieving that row:Not Found

---- katello/production.log
[FATAL: 2012-07-16 12:45:38 #1691] 
AbstractController::ActionNotFound (The action 'show' could not be found for OrganizationsController):

Expected results:
Details of organization should be displayed.
Comment 3 Og Maciel 2012-09-14 17:02:54 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 5 errata-xmlrpc 2012-12-04 14:47:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.